Updates the status for a user

POST /users/{userId}/status

Operation id: UserService_UpdateUserStatus

Description

Permission Level: Read-Write

Tags: UserService

Parameters

Path parameters

NameTypeRequiredDescription
userIdstringYesuser_id of the user to get details, Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
statusstringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "ONLINE",
        "DND",
        "OFFLINE"
      ],
      "default": "ONLINE"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
userIdstringNo
userStatusstringNoStatus of the user (example: OFFLINE, ONLINE, INVITED).
lastUpdatedstring (date-time)No
{
  "type": "object",
  "properties": {
    "userId": {
      "type": "string"
    },
    "userStatus": {
      "type": "string",
      "description": "Status of the user (example: OFFLINE, ONLINE, INVITED)."
    },
    "lastUpdated": {
      "type": "string",
      "format": "date-time"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}